Skip to main content
GET
/
audit-logs
List buyer audit logs
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/buyer/audit-logs \
  --header 'Authorization: Bearer <token>'
{
  "logs": [
    {
      "id": 0,
      "timestamp": "<string>",
      "createdAt": "<string>",
      "action": "<string>",
      "resourceType": "<string>",
      "resourceId": "<string>",
      "resourceName": "<string>",
      "parentType": "<string>",
      "advertiserId": 0,
      "userId": 0,
      "userEmail": "<string>",
      "userName": "<string>",
      "serviceTokenId": 0,
      "serviceTokenName": "<string>",
      "parameters": {},
      "changes": {},
      "description": "<string>"
    }
  ],
  "total": 4503599627370495
}

Authorizations

Authorization
string
header
required

API key or access token

Query Parameters

startDate
string

ISO timestamp; only include audit logs at or after this time

Example:

"2026-03-01T00:00:00Z"

endDate
string

ISO timestamp; only include audit logs at or before this time

Example:

"2026-04-01T00:00:00Z"

advertiserId
integer

Filter to audit logs scoped to a single advertiser

Required range: x <= 9007199254740991
Example:

42

campaignId
string

Filter to a campaign and all of its activity (media buys, creatives, etc.)

Example:

"camp_abc123"

resourceTypes

Filter to a subset of buyer resource types. Defaults to all buyer resource types.

Available options:
CAMPAIGN,
CREATIVE,
MEDIA_BUY,
PRODUCT,
PACKAGE
take
integer
default:50

Number of results to return (max 500)

Required range: x <= 500
Example:

50

skip
integer
default:0

Number of results to skip for pagination

Required range: 0 <= x <= 9007199254740991
Example:

0

Response

List buyer audit logs

Paginated list of buyer activity audit logs

logs
object[]
required
total
integer
required
Required range: 0 <= x <= 9007199254740991